#include "panic.h"
#include "log.h"
#include "vga.h"

void panic(const char *message) {
  set_log_mode(LOG_PANIC);
  vga_blank();
  logsz("Kernel panic: ");
  logsz(message);
  logsz("\nHalting.");
  while (1)
    asm volatile ("hlt");
}